Subject: Re: gitweb filter for patches by a specific person in a specific timeframe

From: Jakub Narebski <[email-masked]>
Date: Mon, 28 Aug 2006 15:13:43 +0200

Kai Blin wrote:

> I have just completed my Google Summer of Code[1] project[2] working for the 
> Wine project. Now, as I was submitting patches to a git repository, I don't 
> have a branch solely containing my patches or something like that. Google 
> seems to want something like this, so I figured maybe I could get gitweb to 
> filter for my patches during the SoC period. Is that possible?
> If not, does it sound like something feasible to add?

It is possible. Simply enter "author:Kai Blin" (without space between ':' 
and your name as it appears in author field) in the searchbox, and you 
would get an URL similar to the URL below:

  http://www.kernel.org/git/?p=git%2Fgit.git&a=search&h=HEAD&s=author%3AJonas+Fonseca

Of course you should first go to proper branch.  If you are giving the link,
you can write it in more human-friendly form, e.g.

  http://www.kernel.org/git/?p=git/git.git;a=search;h=HEAD;s=author:Jonas+Fonseca

Or you can just search for your name, which gives URL like this one

  http://www.kernel.org/git/?p=git/git.git;a=search;h=HEAD;s=Jonas+Fonseca

which will find all commits in the lineage of given branch (HEAD is 
the current branch) which have specified phrase in commit log (which 
includes signoff lines)

> PS: Please CC me, as I'm not on the list.

You can always read the list using one of the many archives 
of [email-masked] list, or using Usenet (news) client via NNTP
gateway at GMane (nntp://news.gmane.org/gmane.comp.version-control.git).

See http://git.or.cz/gitwiki/GitCommunity

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git